curl --request GET \
--url https://sandbox.cashfree.com/pg/subscriptions/payments/{payment_id}/controlled/executions \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/subscriptions/payments/{payment_id}/controlled/executions"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/subscriptions/payments/{payment_id}/controlled/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"cf_execution_id": "<string>",
"cf_order_id": "<string>",
"cf_payment_id": "<string>",
"cf_subscription_id": "<string>",
"cf_txn_id": "<string>",
"execution_attempted_time": "<string>",
"execution_completed_time": "<string>",
"execution_id": "<string>",
"execution_initiated_time": "<string>",
"execution_status": "<string>",
"failure_details": {
"failure_reason": "<string>",
"failure_error_code": "<string>",
"failure_sub_error_code": "<string>"
},
"payment_amount": 123,
"payment_id": "<string>",
"payment_remarks": "<string>",
"payment_status": "<string>",
"subscription_id": "<string>"
}
]{
"message": "bad URL, please check API documentation",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "something_not_found",
"type": "invalid_request_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"help": "Check latest errors and resolution from Merchant Dashboard API logs: https://bit.ly/4glEd0W Help Document: https://bit.ly/4eeZYO9",
"code": "internal_error",
"type": "api_error"
}Fetch All Controlled Executions
Use this API to fetch all controlled payment executions for a subscription payment.
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used.
Request ID for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to Cashfree.
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
Provide the PaymentId using which the payment was created.
Response
Success response for fetching controlled payment executions.
Cashfree-generated identifier for the controlled execution.
Cashfree subscription payment order ID.
Cashfree subscription payment reference number.
Cashfree subscription reference number.
Cashfree subscription payment transaction ID.
The timestamp when the controlled execution was attempted. Timestamps are in IST.
The timestamp when the controlled execution was completed. Timestamps are in IST.
The unique merchant-provided identifier for the controlled execution.
The timestamp when the controlled execution was initiated. Timestamps are in IST.
Status of the controlled execution.
Details of the failure associated with a controlled notification or execution attempt.
Show child attributes
Show child attributes
Amount associated with the controlled execution.
Base Payment ID associated with the controlled execution.
Payment remarks associated with the controlled execution.
Current status of the parent payment entity.
Subscription ID associated with the controlled execution.
Was this page helpful?